# Filter Class Reference
[Data validation layer]

Factory for Filtrator implementations. More...

Inheritance diagram for Filter:
[legend]

List of all members.

## Static Public Member Functions

static | textImport ()
static | chain ()
static | hash ($binary=false)
static | pcre ()
static | trim ()
static | crop ()
static | stripTags ()
static | lowerCase ()
static | upperCase ()
static | htmlSpecialChars ()
static | nl2br ()
static | urlencode ()
static | urldecode ()
static | uudecode ()
static | uuencode ()
static | replaceSymbols ($search=null, $replace=null)
static | safeUtf8 ()

## Detailed Description

Factory for Filtrator implementations.

Definition at line 17 of file Filter.class.php.

## Member Function Documentation

static Filter::chain | ( |  | ) | `[static]`

Returns:
  FilterChain

Definition at line 33 of file Filter.class.php.

static Filter::crop | ( |  | ) | `[static]`

Returns:
  CropFilter

Definition at line 65 of file Filter.class.php.

References CropFilter::create().

Here is the call graph for this function:

static Filter::hash | ( | $ | binary = `false` | ) | `[static]`

Returns:
  HashFilter

Definition at line 41 of file Filter.class.php.

References HashFilter::create().

Here is the call graph for this function:

static Filter::htmlSpecialChars | ( |  | ) | `[static]`

Returns:
  HtmlSpecialCharsFilter

Definition at line 97 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::lowerCase | ( |  | ) | `[static]`

Returns:
  LowerCaseFilter

Definition at line 81 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::nl2br | ( |  | ) | `[static]`

Returns:
  NewLinesToBreaks

Definition at line 105 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::pcre | ( |  | ) | `[static]`

Returns:
  PCREFilter

Definition at line 49 of file Filter.class.php.

References PCREFilter::create().

Here is the call graph for this function:

static Filter::replaceSymbols | ( | $ | search = `null`,
|  | $ | replace = `null` |
| ) |  |  | `[static]`

Returns:
  StringReplaceFilter

Definition at line 145 of file Filter.class.php.

References StringReplaceFilter::create().

Here is the call graph for this function:

static Filter::safeUtf8 | ( |  | ) | `[static]`

Returns:
  SafeUtf8Filter

Definition at line 153 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::stripTags | ( |  | ) | `[static]`

Returns:
  StripTagsFilter

Definition at line 73 of file Filter.class.php.

References StripTagsFilter::create().

Referenced by textImport().

Here is the call graph for this function:

static Filter::textImport | ( |  | ) | `[static]`

Returns:
  FilterChain

Definition at line 22 of file Filter.class.php.

References FilterChain::create(), stripTags(), and trim().

Here is the call graph for this function:

static Filter::trim | ( |  | ) | `[static]`

Returns:
  TrimFilter

Definition at line 57 of file Filter.class.php.

References TrimFilter::create().

Referenced by textImport().

Here is the call graph for this function:

static Filter::upperCase | ( |  | ) | `[static]`

Returns:
  UpperCaseFilter

Definition at line 89 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::urldecode | ( |  | ) | `[static]`

Returns:
  UrlDecodeFilter

Definition at line 121 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::urlencode | ( |  | ) | `[static]`

Returns:
  UrlEncodeFilter

Definition at line 113 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::uudecode | ( |  | ) | `[static]`

Returns:
  UnixToUnixDecode

Definition at line 129 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

static Filter::uuencode | ( |  | ) | `[static]`

Returns:
  UnixToUnixEncode

Definition at line 137 of file Filter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Filter.class.php